
QGIS Application - Bug report #20896

Qgis crash 

2018-12-30 04:18 PM - OLIVIER OLIVIER

Status: Closed

Priority: High

Assignee:

Category: C++ Plugins

Affected QGIS version:3.4.3 Regression?: Yes

Operating System: windows 10-64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 28715

Description

Hi,

Launch Qgis, Extensions-Plugins/Install and crash...

This is still occuring since 3.2.3

Olivier

Crash ID: 70c4ead4c2958e3083411f8e518e03fe8682807f

Stack Trace

QString::fill :

QString::indexOf :

QDir::fromNativeSeparators :

QFileInfo::QFileInfo :

QFileInfo::QFileInfo :

QgsSettingsLocatorFilter::triggerResult :

QgsSettingsLocatorFilter::triggerResult :

PyInit__gui :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyEval_EvalCodeEx :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :
QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: 2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-12-31 03:07 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please try with a new/clean profile (no 3rd party plugins installed).

#2 - 2018-12-31 05:08 PM - OLIVIER OLIVIER
Hi,

Crash was caused by dxf2shpconverter.dll in the plugin folder. I removed it. For those who could be interested, I saw that dxf2shp is not anymore available

but there is "another dxf importer / dxf2shape converter".

And happy new year !

#3 - 2018-12-31 06:32 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

2018-12-30_161830.jpg 110 KB 2018-12-30 OLIVIER OLIVIER
